#!/usr/bin/perl
#
# allinteg.pl
#
# Mine the integration history of
# a file and then obtain the "integrated"
# list for all files found in that history.
#
# The idea is to find all files related
# to a particular file in order to locate
# others which may need a common bug fix (etc.)
#
#

require 5.0;
use strict;

my @history = `p4 filelog -i $ARGV[0]`;

# look for lines beginning with "//"
# as they are roots of branches.

foreach(@history) {
	if (index ($_, "//") == 0) {
		print `p4 integrated $_`;
	}
}
